
QGIS Application - Bug report #3838

Selecting features from the table of attributes freezes QGIS

2011-05-24 04:58 AM - cremat0rio -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 13896

Description

Trying to select all the features, from the attribute table, of a point layer with 8000 features, Qgis just blocks. 

The qgis.exe process consumes all the processor (for infinite time) and needs to be killed.

Related issues:

Related to QGIS Application - Bug report # 5525: "Show selected only" in the ... Closed 2012-04-30

History

#1 - 2011-05-24 05:01 AM - Giovanni Manghi

Hi,

please link or attach the vector (or part of it) that is causing the problem. Thanks.

#2 - 2011-05-26 04:18 AM - cremat0rio -

Can you, please, send your email address and we'll send the data to you (for privacy reasons)?

Thanks.

#3 - 2011-05-26 04:20 AM - Giovanni Manghi

giovanni dot manghi at faunalia dot pt

#4 - 2011-08-29 10:46 PM - Paolo Cavallini

- Category changed from Build/Install to Vectors

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

#5 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-16 06:28 AM - Paolo Cavallini

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

#7 - 2012-06-13 10:28 AM - Pieter Roggemans
+1.

Selecting features with slightly larger shape files (eg. file below is 130.000) is indeed that slow that it (almost) never gets through. I didn't dare to try with

another whape file with 800.0000 features...

Try +- any select on this shape file:

https://docs.google.com/open?id=0B-lmgiUm-f0HRWpadzZpNlk4cmM

#8 - 2012-06-13 11:08 AM - Giovanni Manghi

- Priority changed from Low to High

- Operating System deleted (Windows)

- Status info deleted (0)

Pieter Roggemans wrote:

+1.

Selecting features with slightly larger shape files (eg. file below is 130.000) is indeed that slow that it (almost) never gets through. I didn't dare to try

with another whape file with 800.0000 features...

Try +- any select on this shape file:

https://docs.google.com/open?id=0B-lmgiUm-f0HRWpadzZpNlk4cmM

confirmed also on Linux/Ubuntu... it freezes for a long time... then when the table renders again it is almost impossible to navigate the same table.

#9 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#10 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#11 - 2013-03-31 03:00 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Subject changed from Selecting plenty of features (8000) blocks qgis to Selecting features from the table of attributes freezes QGIS

- Crashes QGIS or corrupts data changed from No to Yes

This continue to be true in QGIS master. I take the responsibility to tag this as a blocker even if it is not a regression as this issue is really a blocker for a

day to day use of the program.

#12 - 2013-04-09 01:10 AM - Regis Haubourg

This morning, 

selecting objects in attribute table leads to crash in nightly osgeo4w. 

We have a regression now.

#13 - 2013-04-13 09:34 AM - Matthias Kuhn
https://docs.google.com/open?id=0B-lmgiUm-f0HRWpadzZpNlk4cmM
https://docs.google.com/open?id=0B-lmgiUm-f0HRWpadzZpNlk4cmM


- Status changed from Open to Closed

Fixed in commit:47c10db1fee8f608a2d6e4c50cb89fbc0e0f49f8
